package com.leromro.core.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Data
@Getter
@Setter
public class WebMainOrdersDTO {
    @ApiModelProperty("志愿者名")
    private String name;

    @ApiModelProperty("志愿者电话")
    private String phonenumber;

    @ApiModelProperty("商户订单号")
    private String outTradeNo;

    @ApiModelProperty("总价")
    private BigDecimal serviceTotalPrice;
    @ApiModelProperty("服务类别id")
    private Long businessManagementId;

    @ApiModelProperty("订单状态 0待支付 1已支付 2支付超时或取消 3进行中 4已完成 5申请退款中 6已退款 7部分退款  ")
    private String orderStatus;

    @ApiModelProperty("服务总评分这一版先不使用")
    private Long score;

    @ApiModelProperty("业务层级名称")
    private String businessTierName;

    @ApiModelProperty("受服务地址人姓名")
    private String clientName;
    @ApiModelProperty("受服务地址手机号")
    private String clientTelephone;
    /** 省级区划编号 */
    @ApiModelProperty("省级区划编号")
    private String provinceCode;

    /** 省级名称 */
    @ApiModelProperty("省级名称")
    private String provinceName;

    /** 市级编号 */
    @ApiModelProperty("市级编号")
    private String cityCode;

    /** 市级名称 */
    @ApiModelProperty("市级名称")
    private String cityName;

    /** 区级区划编号 */
    @ApiModelProperty("区级区划编号")
    private String districtCode;

    /** 区级名称 */
    @ApiModelProperty("区级名称")
    private String districtName;

    private Long deptId;
}
