package com.leromro.core.domain.vo;

import com.leromro.common.annotation.Excel;
import com.leromro.core.domain.MainOrders;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Data
public class MainOrdersVO  {
    @ApiModelProperty("主订单id")
    private String mainOrderId;

    @ApiModelProperty("志愿者名")
    private String name;

    @ApiModelProperty("志愿者图片")
    private String volunteerPicture;

    @ApiModelProperty("总价")
    private BigDecimal serviceTotalPrice;

    @ApiModelProperty("订单状态 0待支付 1已支付 2支付超时或取消 3进行中 4已完成 5申请退款中 6已退款 7部分退款  ")
    private String orderStatus;

    @ApiModelProperty("服务总评分 这一版先不使用")
    private Long score;

    @ApiModelProperty("业务层级名称")
    private String businessTierName;

    @ApiModelProperty("服务描述")
    private String businessDescribe;

    @ApiModelProperty("创建订单日期")
    private Date createTime;


}
